# IceGrid::AccessDeniedException

## Overview

### exception AccessDeniedException

This exception is raised if a registry lock wasn't acquired or is already held by a session.

#### Used By

Admin::addApplication
Admin::instantiateServer
Admin::removeApplication
Admin::syncApplication
Admin::syncApplicationWithoutRestart
Admin::updateApplication
Admin::updateApplicationWithoutRestart
AdminSession::finishUpdate
AdminSession::startUpdate

## Data Members

string lockUserId;

  The id of the user holding the lock (if any).